package model

import (
	"gorm.io/plugin/soft_delete"
	"time"
)

//Account 用户模型
type Account struct {
	ID         uint `gorm:"primarykey"`
	CreatedAt  time.Time
	UpdatedAt  time.Time
	DeletedAt  soft_delete.DeletedAt `gorm:"column:deleted_at;type:int(11)" json:"deletedAt"`
	Account    string                `gorm:"unique"`
	TelNum     string
	Currency   string
	Amount     float64
	DailyLimit float64
}
